#!/bin/env python2.3
""" Copyright 2004 Chip Vanek, Magma Design Automation

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
Collection of useful constants
    
"""

# SF Type constants and ID signatures
ACCOUNT_OBJ='Account'
ACCOUNT_SIG='001'

CONTACT_OBJ='Contact'
CONTACT_SIG='003'

LEAD_OBJ='Lead'
LEAD_SIG='00Q'

NOTE_OBJ='Note'
NOTE_SIG='002'

QUEUE_OBJ='Queue'
QUEUE_SIG='00G'

USER_OBJ='User'
USER_SIG='005'

CASE_OBJ='Case'
CASE_SIG='500'

TASK_BRANCH_OBJ='Task_Branch__c'

TEAM_BRANCH_OBJ='Team_Branch__c'

BRANCH_CR_LINK_OBJ='Branch_CR_Link__c'

#-----

# Record Types
RECTYPE_CR = '01230000000001YAAQ'
RECTYPE_PVCR = '0123000000003qfAAA'


LEAD_OWNER_SIG=[USER_SIG, QUEUE_SIG]


BAD_INFO_LIST = [None, [], [{}], {}, '', 'fail', 'warn']
